> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a user

> Update the caller-owned user profile using bounded profile and onboarding fields.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public patch /v1/users/{userId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/users/{userId}:
    patch:
      tags:
        - Users
      summary: Update a user
      description: >-
        Update the caller-owned user profile using bounded profile and
        onboarding fields.
      operationId: updateUser
      parameters:
        - in: path
          name: userId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                onboarding:
                  type: object
                  properties:
                    positionInCompany:
                      type: string
                      minLength: 1
                      maxLength: 255
                    useCase:
                      type: string
                      minLength: 1
                      maxLength: 255
                    howDidYouHear:
                      type: string
                      minLength: 1
                      maxLength: 255
                  required:
                    - positionInCompany
                    - useCase
                    - howDidYouHear
                  additionalProperties: false
              required:
                - onboarding
              additionalProperties: false
      responses:
        '200':
          description: Update a user
          content:
            application/json:
              schema:
                type: object
                properties:
                  createdAt:
                    type: string
                    format: date-time
                  email:
                    type:
                      - string
                      - 'null'
                  emailVerified:
                    type: boolean
                  id:
                    type: string
                    minLength: 1
                    maxLength: 255
                  image:
                    type:
                      - string
                      - 'null'
                  name:
                    type:
                      - string
                      - 'null'
                  updatedAt:
                    type: string
                    format: date-time
                  onboarding:
                    type:
                      - object
                      - 'null'
                    properties:
                      positionInCompany:
                        type: string
                        minLength: 1
                        maxLength: 255
                      useCase:
                        type: string
                        minLength: 1
                        maxLength: 255
                      howDidYouHear:
                        type: string
                        minLength: 1
                        maxLength: 255
                    required:
                      - positionInCompany
                      - useCase
                      - howDidYouHear
                    additionalProperties: false
                required:
                  - createdAt
                  - email
                  - emailVerified
                  - id
                  - image
                  - name
                  - updatedAt
                  - onboarding
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: User or connected account not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: User operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````